// © 2025 Naked People Team. All Rights Reserved.


#include "NPC.h"
#include "GameFramework/CharacterMovementComponent.h"

ANPC::ANPC()
{
	PrimaryActorTick.bCanEverTick = false;

	GetCharacterMovement()->MaxWalkSpeed = 200.0f;
	GetCharacterMovement()->bUseControllerDesiredRotation = true;
	GetCharacterMovement()->bOrientRotationToMovement = false;
	bUseControllerRotationYaw = false;
	AutoPossessAI = EAutoPossessAI::PlacedInWorldOrSpawned;
}

void ANPC::Destroyed()
{
	Super::Destroyed();

	OnDestroyed.Broadcast(this);
}

